Package org.opensaml.profile.context

# Class ProxiedRequesterContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.profile.context.ProxiedRequesterContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ProxiedRequesterContext extends BaseContext
A context which expresses one or more requesters on whose behalf a request is being handled.

An ordering of proxied requesters is not implied or guaranteed.

Since:
  3.4.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Collection<String>`
`requesters`
The resource.

## Constructor Summary

Constructors
Constructor
Description
`ProxiedRequesterContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getRequesters()`
Get the proxied requesters.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### requesters

@Nonnull private Collection<String> requesters
The resource.

## Constructor Details

### ProxiedRequesterContext

public ProxiedRequesterContext()
Constructor.

## Method Details

### getRequesters

@Nonnull @Live public Collection<String> getRequesters()
Get the proxied requesters.

Returns:
  the proxied requesters